#!/bin/sh

name="ucspi-tcp"
title="ucspi-tcp"
package="ucspi-tcp"
version="0.88"
build="1"
noarch="n"
build_info="Standard build."

info="TCP client-server command-line tools."
desc="The ucspi-tcp distribution contains tcpserver and tcpclient,
which are easy-to-use command-line tools for building TCP
client-server applications. tcpserver waits for incoming
connections and, for each connection, runs a program of your
choice. tcpclient makes a TCP connection and runs a program
of your choice. This package includes several sample clients
built on top of tcpclient: who@, date@, finger@, http@,
tcpcat, and mconnect. tcpserver and tcpclient conform to
UCSPI, the UNIX Client-Server Program Interface, using the
TCP protocol. UCSPI tools are available for several different
networks."
category="net/server/superserver"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="CHANGES,README,TODO,VERSION"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://cr.yp.to/$name/$name-$version.tar.gz

parent_package="$package"
write_info main

cd $src1

do_make

msg_installing

mkdir -p $pkg_main/usr/bin
for i in tcpserver tcprules tcprulescheck argv0 recordio tcpclient \
    who@ date@ finger@ http@ tcpcat mconnect mconnect-io addcr \
    delcr fixcrio rblsmtpd ; do
    cp $i $pkg_main/usr/bin
done

make_docs

make_package main

clean_up

# $Log: ucspi-tcp.builder,v $
# Revision 1.2  2003/02/01 14:00:26  swiergot
# - Build 1.
#
# Revision 1.1  2003/02/01 13:50:01  swiergot
# - Initial release.
# - Version 0.88.
#
